%define name       vsftpd
%define version    1.1.3
%define release    1
%define builddir   $RPM_BUILD_DIR/%{name}-%{version}
%define prefixdef  /usr
%define sysconfdef /etc

#If you don't like the prefix '/usr' you can override it like this:
#rpm -ba|--rebuild --define 'prefix /usr/local'
%{?!prefix:%define prefix %{prefixdef}}

#If you don't like the sysconfdir '/etc' you can override it like this:
#rpm -ba|--rebuild --define 'sysconfdir /usr/local/etc'
%{?!sysconfdir:%define sysconfdir %{sysconfdef}}

Name:              %{name}
Version:           %{version}
Release:           %{release}
Vendor:            Generic
Packager:          Florin ANDREI <florin@sgi.com>
URL:               http://vsftpd.beasts.org/
Source:            %{name}-%{version}.tar.gz
Source1:           vsftpd.init
Source2:           vsftpd.pam
Source3:           vsftpd.ftpusers
Source4:           vsftpd.user_list
Patch1:            vsftpd-1.1.3.conf.patch
Patch2:            vsftpd-1.0.1-missingok.patch
Group:             System Environment/Daemons
License:           GPL
Requires:          logrotate
Provides:     	   ftpserver
BuildRoot:         %{_tmppath}/%{name}-%{version}
Summary:           Very Secure FTP Server

%description
vsftpd was designed and implemented from the ground up with security it
mind. It fixes fundamental design flaws present in most installations of
wu-ftpd, proftpd and even bsd-ftpd by not over-using the dangerous root
user. It makes use of powerful security facilities such as capabilities
and chroot. It employs secure coding techniques to make buffer overflows
a solved problem.
Recent evidence shows that vsftpd is also extremely fast and scalable.
vsftpd has achieved ~4000 concurrent users on a single machine, in a
production environment.

%prep
%setup -n %{name}-%{version}
%patch1 -p0
%patch2 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

if [ ! -d $RPM_BUILD_ROOT%{prefix}/sbin ]; then
  mkdir -p $RPM_BUILD_ROOT%{prefix}/sbin
fi
if [ ! -d $RPM_BUILD_ROOT%{sysconfdir} ]; then
  mkdir -p $RPM_BUILD_ROOT%{sysconfdir}
fi
if [ ! -d $RPM_BUILD_ROOT%{sysconfdir}/rc.d/init.d ]; then
  mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/rc.d/init.d
fi
if [ ! -d $RPM_BUILD_ROOT%{sysconfdir}/pam.d ]; then
  mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/pam.d
fi
if [ ! -d $RPM_BUILD_ROOT%{sysconfdir}/logrotate.d ]; then
  mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/logrotate.d
fi
if [ ! -d $RPM_BUILD_ROOT%{_mandir}/man8 ]; then
  mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
fi
if [ ! -d $RPM_BUILD_ROOT%{_mandir}/man5 ]; then
  mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
fi

install -m 755 vsftpd $RPM_BUILD_ROOT%{prefix}/sbin/
install -m 600 vsftpd.conf $RPM_BUILD_ROOT%{sysconfdir}/
install -m 644 RedHat/vsftpd.log $RPM_BUILD_ROOT%{sysconfdir}/logrotate.d/vsftpd
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{sysconfdir}/rc.d/init.d/vsftpd
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{sysconfdir}/pam.d/vsftpd
install -m 600 %{SOURCE3} $RPM_BUILD_ROOT%{sysconfdir}/
install -m 600 %{SOURCE4} $RPM_BUILD_ROOT%{sysconfdir}/
install -m 644 vsftpd.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5/
install -m 644 vsftpd.8 $RPM_BUILD_ROOT%{_mandir}/man8/

%clean
#[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files

%defattr(-, root, root)
%{prefix}/sbin/vsftpd
%config(noreplace) %{sysconfdir}/vsftpd.*
%config(noreplace) %{sysconfdir}/rc.d/init.d/vsftpd
%config(noreplace) %{sysconfdir}/pam.d/vsftpd
%config(noreplace) %{sysconfdir}/logrotate.d/vsftpd
%{_mandir}/man5/vsftpd.conf.*
%{_mandir}/man8/vsftpd.*

%defattr(644, root, root)
%doc AUDIT BENCHMARKS BUGS COPYING Changelog FAQ INSTALL LICENSE README README.security README.solaris REWARD SIZE SPEED TODO TUNING EXAMPLE SECURITY

%changelog
* Fri Dec 06 2002 Florin ANDREI <florin@sgi.com>
- first version of the package, v1.1.3-1
- inspired by (and using parts of) the Red Hat "official" v1.1.0 package...
- ...and by the package made by Seth Vidal <skvidal@phy.duke.edu>
- format borrowed from the PureFTPd spec file by Frank Denis <j@pureftpd.org>
